> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workflow integrations options



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/workflow-api patch /workflows/usage/{id}
openapi: 3.0.0
info:
  title: workflow-api
  version: 0.0.0
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /workflows/usage/{id}:
    patch:
      tags:
        - Usage
      summary: Update a workflow integrations options
      operationId: update-workflow-integrations-options
      parameters:
        - name: id
          in: path
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                integrationOptions:
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            oneOf:
                              - type: string
                                enum:
                                  - email
                              - type: string
                                enum:
                                  - mobile
                              - type: string
                                enum:
                                  - landing
                              - type: string
                                enum:
                                  - rcs
                              - type: string
                                enum:
                                  - whatsapp
                              - type: string
                                enum:
                                  - raw
                          parameters:
                            type: object
                            properties: {}
                            additionalProperties:
                              type: string
                          entrypointId:
                            type: string
                        required:
                          - type
                          - parameters
                        additionalProperties: false
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - web
                          filters:
                            type: object
                            properties:
                              type:
                                oneOf:
                                  - type: string
                                    enum:
                                      - and
                                  - type: string
                                    enum:
                                      - or
                              conditions:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    operator:
                                      oneOf:
                                        - type: string
                                          enum:
                                            - empty
                                        - type: string
                                          enum:
                                            - nempty
                                        - type: string
                                          enum:
                                            - eq
                                        - type: string
                                          enum:
                                            - ne
                                        - type: string
                                          enum:
                                            - contains
                                        - type: string
                                          enum:
                                            - notcontains
                                    field:
                                      type: string
                                    values:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - operator
                                    - field
                                    - values
                                  additionalProperties: false
                            required:
                              - type
                              - conditions
                            additionalProperties: false
                          enabled:
                            type: boolean
                          entrypointId:
                            type: string
                          code:
                            type: string
                          selector:
                            type: string
                          emplacement:
                            oneOf:
                              - type: string
                                enum:
                                  - replace
                              - type: string
                                enum:
                                  - before
                              - type: string
                                enum:
                                  - after
                          includeContext:
                            type: boolean
                          includeDatalayerPath:
                            type: array
                            items:
                              type: string
                          waitForEvents:
                            type: array
                            items:
                              type: string
                        required:
                          - type
                        additionalProperties: false
                variableProfileId:
                  type: string
                  description: Variable profile id let frontend pre-select profile
              additionalProperties: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_integrationOptions_Array_Union_type_Union_email_mobile_landing_rcs_whatsapp_raw_parameters_Record_entrypointId_Union_undefined_string_type_web_filters_Union_undefined_type_Union_and_or_conditions_Array_operator_Union_empty_nempty_eq_ne_contains_notcontains_field_string_values_Array_string_enabled_Union_undefined_false_true_entrypointId_Union_undefined_string_code_Union_undefined_string_selector_Union_undefined_string_emplacement_Union_undefined_replace_before_after_includeContext_Union_undefined_false_true_includeDatalayerPath_Union_undefined_Array_string_waitForEvents_Union_undefined_Array_string_variableProfileId_Union_undefined_string
        '404':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        type: number
                      code:
                        type: number
                      message:
                        type: string
                      data:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              errors:
                                type: array
                                items:
                                  oneOf:
                                    - $ref: '#/components/schemas/Error'
                                    - $ref: '#/components/schemas/Error'
                            required:
                              - errors
                            additionalProperties: false
                          - $ref: >-
                              #/components/schemas/MissingContentDependencyErrorPayload
                          - type: object
                            properties:
                              alias:
                                type: string
                            required:
                              - alias
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              index:
                                type: number
                            required:
                              - id
                              - index
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              entrypointId:
                                type: string
                            required:
                              - id
                              - entrypointId
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              maxDepth:
                                type: number
                              actualDepth:
                                type: number
                            required:
                              - maxDepth
                              - actualDepth
                            additionalProperties: false
                          - type: object
                            properties:
                              reason:
                                type: string
                            required:
                              - reason
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              templateIds:
                                type: array
                                items:
                                  type: string
                            required:
                              - templateIds
                            additionalProperties: false
                          - type: object
                            properties:
                              templateId:
                                type: string
                            required:
                              - templateId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                              tagValueId:
                                type: string
                            required:
                              - tagKeyId
                              - tagValueId
                            additionalProperties: false
                          - type: object
                            properties:
                              branchId:
                                type: string
                              tagKeyId:
                                type: string
                            required:
                              - branchId
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_integrationOptions_Array_Union_type_Union_email_mobile_landing_rcs_whatsapp_raw_parameters_Record_entrypointId_Union_undefined_string_type_web_filters_Union_undefined_type_Union_and_or_conditions_Array_operator_Union_empty_nempty_eq_ne_contains_notcontains_field_string_values_Array_string_enabled_Union_undefined_false_true_entrypointId_Union_undefined_string_code_Union_undefined_string_selector_Union_undefined_string_emplacement_Union_undefined_replace_before_after_includeContext_Union_undefined_false_true_includeDatalayerPath_Union_undefined_Array_string_waitForEvents_Union_undefined_Array_string_variableProfileId_Union_undefined_string:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties:
            integrationOptions:
              type: array
              items:
                oneOf:
                  - type: object
                    properties:
                      type:
                        oneOf:
                          - type: string
                            enum:
                              - email
                          - type: string
                            enum:
                              - mobile
                          - type: string
                            enum:
                              - landing
                          - type: string
                            enum:
                              - rcs
                          - type: string
                            enum:
                              - whatsapp
                          - type: string
                            enum:
                              - raw
                      parameters:
                        type: object
                        properties: {}
                        additionalProperties:
                          type: string
                      entrypointId:
                        type: string
                    required:
                      - type
                      - parameters
                    additionalProperties: false
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - web
                      filters:
                        type: object
                        properties:
                          type:
                            oneOf:
                              - type: string
                                enum:
                                  - and
                              - type: string
                                enum:
                                  - or
                          conditions:
                            type: array
                            items:
                              type: object
                              properties:
                                operator:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - empty
                                    - type: string
                                      enum:
                                        - nempty
                                    - type: string
                                      enum:
                                        - eq
                                    - type: string
                                      enum:
                                        - ne
                                    - type: string
                                      enum:
                                        - contains
                                    - type: string
                                      enum:
                                        - notcontains
                                field:
                                  type: string
                                values:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - operator
                                - field
                                - values
                              additionalProperties: false
                        required:
                          - type
                          - conditions
                        additionalProperties: false
                      enabled:
                        type: boolean
                      entrypointId:
                        type: string
                      code:
                        type: string
                      selector:
                        type: string
                      emplacement:
                        oneOf:
                          - type: string
                            enum:
                              - replace
                          - type: string
                            enum:
                              - before
                          - type: string
                            enum:
                              - after
                      includeContext:
                        type: boolean
                      includeDatalayerPath:
                        type: array
                        items:
                          type: string
                      waitForEvents:
                        type: array
                        items:
                          type: string
                    required:
                      - type
                    additionalProperties: false
            variableProfileId:
              type: string
          required:
            - integrationOptions
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    InternalResponse_:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    Error:
      type: object
      properties:
        path:
          type: string
        message:
          type: string
        payload:
          type: object
          properties: {}
          additionalProperties:
            $ref: '#/components/schemas/AnyValue'
      required:
        - path
        - message
      additionalProperties: false
    MissingContentDependencyErrorPayload:
      type: object
      properties:
        workflows:
          type: array
          items:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    errors:
                      type: array
                      items:
                        oneOf:
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - datasource
                                  id:
                                    type: string
                                  group:
                                    type: object
                                    properties:
                                      by:
                                        type: string
                                      mode:
                                        oneOf:
                                          - type: string
                                            enum:
                                              - aggregated
                                          - type: string
                                            enum:
                                              - onePerValue
                                          - type: string
                                            enum:
                                              - topValueOnly
                                          - type: string
                                            enum:
                                              - oneValueOnly
                                    required:
                                      - by
                                      - mode
                                    additionalProperties: false
                                required:
                                  - type
                                  - id
                                additionalProperties: false
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - url-parameter
                                  name:
                                    type: string
                                  subtype:
                                    type: string
                                required:
                                  - type
                                  - name
                                  - subtype
                                additionalProperties: false
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    oneOf:
                                      - type: string
                                        enum:
                                          - weather
                                      - type: string
                                        enum:
                                          - context
                                      - type: string
                                        enum:
                                          - geolocation
                                      - type: string
                                        enum:
                                          - live-polling
                                required:
                                  - type
                                additionalProperties: false
                    contentId:
                      type: string
                    contentIndex:
                      type: number
                  required:
                    - errors
                    - contentId
                    - contentIndex
                  additionalProperties: false
              id:
                type: string
              nodeId:
                type: string
            required:
              - errors
              - id
              - nodeId
            additionalProperties: false
      required:
        - workflows
      additionalProperties: false
    AnyValue:
      description: Can be any value
      nullable: true
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````